// Copyright 2026 The Gitea Authors. All rights reserved.
// SPDX-License-Identifier: MIT

package io.gitea.sdk.models;

import java.time.Instant;
import java.util.ArrayList;
import java.util.List;

/**
 * Represents a Gitea release.
 */
public class Release {
    private long id;
    private String tagName;
    private String name;
    private String body;
    private boolean draft;
    private boolean prerelease;
    private Instant publishedAt;
    private List<Attachment> assets = new ArrayList<>();

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public boolean isDraft() {
        return draft;
    }

    public void setDraft(boolean draft) {
        this.draft = draft;
    }

    public boolean isPrerelease() {
        return prerelease;
    }

    public void setPrerelease(boolean prerelease) {
        this.prerelease = prerelease;
    }

    public Instant getPublishedAt() {
        return publishedAt;
    }

    public void setPublishedAt(Instant publishedAt) {
        this.publishedAt = publishedAt;
    }

    public List<Attachment> getAssets() {
        return assets;
    }

    public void setAssets(List<Attachment> assets) {
        this.assets = assets;
    }
}
